Bug 143625 - kernel can not register scsi LUNs above 7 for mylexFFx2 FC RAID controller
kernel can not register scsi LUNs above 7 for mylexFFx2 FC RAID controller
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-12-22 18:52 EST by Jin Zhao
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jin Zhao 2004-12-22 18:52:59 EST
Description of problem:
After update from AS2.1 to AS3, kernel only scans and registers scsi devices with 
LUNs from 0~7. The scsi devices are accessed from a QLA2342 FC HBA throught a 
mylexFFX2 FC RAID card, which represents itself as ANSI SCSI 2.

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.0.1-ELsmp

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jin Zhao 2004-12-22 18:54:43 EST
Add this line to drivers/scsi/scsi_scan.c fixed it.
   {"LSI", "ProFibre 4000R", "*", BLIST_SPARSELUN | BLIST_LARGELUN},

Comment 2 Tom Coughlan 2004-12-23 08:47:34 EST
Okay, we will add this device to the whitelist in U5. Thanks.
Comment 3 Ernie Petrides 2005-02-22 04:31:01 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.17.EL).
Comment 4 Tim Powers 2005-05-18 09:28:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.